=== debian/changelog ===
kf6-ktexttemplate (6.19.0+p24.04+vstable+git20251023.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:12:39 +0000
