=== debian/control ===
Source: kf6-ktexttemplate
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/ktexttemplate
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-ktexttemplate.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-ktexttemplate
Maintainer: Neon CI <neon@kde.org>

Package: kf6-ktexttemplate
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6texttemplate-data, libkf6texttemplate6
Description: KTextTemplate is a Free Software library written using 
 the Qt framework.
 The goal of KTextTemplate is to make it easier for application 
 developers to separate the structure of documents from the data
 they contain, opening the door for theming and advanced generation 
 of other text such as code.
 .
 The syntax uses the syntax of the Django template system, and
 the core design of Django is reused in KTextTemplate.

Package: kf6-ktexttemplate-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-ktexttemplate (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6texttemplate-dev, libkf6texttemplate-doc
Description: KTextTemplate is a Free Software library written using 
 the Qt framework.
 The goal of KTextTemplate is to make it easier for application 
 developers to separate the structure of documents from the data
 they contain, opening the door for theming and advanced generation 
 of other text such as code.
 .
 The syntax uses the syntax of the Django template system, and
 the core design of Django is reused in KTextTemplate.
 .
 The development files for KTextTemplate

Package: libkf6texttemplate6
Architecture: all
Depends: kf6-ktexttemplate, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texttemplate-data
Architecture: all
Depends: kf6-ktexttemplate, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texttemplate-dev
Architecture: all
Depends: kf6-ktexttemplate-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texttemplate-doc
Architecture: all
Depends: kf6-ktexttemplate-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
