## kf6-ktexttemplate 6.19.0+p24.04+vunstable+git20251021.0331

=== debian/changelog ===
kf6-ktexttemplate (6.19.0+p24.04+vunstable+git20251021.0331-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:31:03 +0000
