=== src/CMakeLists.txt ===

add_subdirectory(lib)

add_subdirectory(loadertags)
add_subdirectory(defaulttags)

add_subdirectory(defaultfilters)

add_subdirectory(i18n)
