## kf6-ktexttemplate 6.21.0+p24.04+vstable+git20251207.0651

=== debian/changelog ===
kf6-ktexttemplate (6.21.0+p24.04+vstable+git20251207.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:51:48 +0000

kf6-ktexttemplate (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:09:53 +1000
