=== debian/changelog ===
kf6-ktexttemplate (6.21.0+p24.04+vstable+git20260103.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:12:20 +0000
