=== debian/changelog ===
kf6-ktexttemplate (6.21.0+p24.04+vunstable+git20251207.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:44:47 +0000
