## kf6-ktexttemplate 6.22.0+p24.04+vstable+git20260106.0706

=== debian/changelog ===
kf6-ktexttemplate (6.22.0+p24.04+vstable+git20260106.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 07:07:00 +0000

kf6-ktexttemplate (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:40:46 +1000
