=== debian/changelog ===
kf6-ktexttemplate (6.22.0+p24.04+vstable+git20260111.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:06:28 +0000
