## kf6-ktexttemplate 6.22.0+p24.04+vunstable+git20260123.0324

=== debian/changelog ===
kf6-ktexttemplate (6.22.0+p24.04+vunstable+git20260123.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:24:07 +0000
