## kf6-ktexttemplate 6.22.0+p24.04+vunstable+git20260129.0302

=== debian/changelog ===
kf6-ktexttemplate (6.22.0+p24.04+vunstable+git20260129.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:02:32 +0000
