=== debian/control ===
--- 
+++ 
@@ -1,30 +1,27 @@
 Source: kf6-ktexttemplate
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.22.0~),
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               extra-cmake-modules (>= 6.23.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/ktexttemplate
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexttemplate
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexttemplate
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexttemplate.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexttemplate
 
 Package: libkf6texttemplate-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6texttemplate6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6texttemplate-doc (= ${source:Version}),
 Description: library used for text processing - development files
@@ -58,7 +55,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: library used for text processing
  The goal of KTextTemplate is to make it easier for application
  developers to separate the structure of documents from the data
